"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useErrorAlert = exports.ErrorAlert = void 0;
var tslib_1 = require("tslib");
var free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
var ErrorAlert_1 = require("@reactionable/core/lib/ui/alert/ErrorAlert");
var react_1 = tslib_1.__importDefault(require("react"));
var Alert_1 = require("./Alert");
exports.ErrorAlert = function (_a) {
    var children = _a.children, props = tslib_1.__rest(_a, ["children"]);
    return (react_1.default.createElement(Alert_1.Alert, tslib_1.__assign({ variant: "danger", icon: { icon: free_solid_svg_icons_1.faExclamationTriangle }, children: ErrorAlert_1.printError(children) }, props)));
};
exports.useErrorAlert = function (props) {
    return ErrorAlert_1.useErrorAlert(tslib_1.__assign({ Component: exports.ErrorAlert }, props));
};
//# sourceMappingURL=ErrorAlert.js.map