import { IDeleteProps as ICoreDeleteProps } from '@reactionable/core/lib/crud/delete/Delete';
import { PropsWithChildren, ReactNode } from 'react';
import { IIconProps } from '../../icon/icon';
export interface IDeleteProps<Data> extends ICoreDeleteProps<Data> {
    label?: ReactNode;
    icon?: IIconProps;
}
export declare function Delete<Data>({ label, icon, ...props }: PropsWithChildren<IDeleteProps<Data>>): JSX.Element;
