import { IHeaderProps as ICoreHeaderProps } from '@reactionable/core/lib/ui/layout/header/Header';
import { ComponentType, PropsWithChildren } from 'react';
import { NavbarProps } from 'react-bootstrap/Navbar';
import { INavItemProps } from '../../nav/NavItem';
export declare type IHeaderProps = ICoreHeaderProps<INavItemProps> & NavbarProps;
export declare type HeaderComponent = ComponentType<IHeaderProps>;
export declare const Header: ({ brand, navItems, ...navbarProps }: PropsWithChildren<IHeaderProps>) => JSX.Element;
