import { INavItemsContext, INavItemsProps } from '@reactionable/core/lib/nav/NavItem';
import React, { PropsWithChildren } from 'react';
import { INavItemProps } from '../../nav/NavItem';
export declare type ISidebarNavItem = INavItemProps;
export interface ISidebarProps extends INavItemsProps<ISidebarNavItem> {
}
export declare type ISidebarContext = INavItemsContext<ISidebarNavItem>;
export declare const SidebarContextProvider: ({ children, ...props }: React.PropsWithChildren<ISidebarProps>) => JSX.Element, useSidebarContext: () => INavItemsContext<Pick<React.AnchorHTMLAttributes<HTMLAnchorElement>, "title" | "href" | "onClick"> & Pick<import("react-bootstrap/esm/NavLink").NavLinkProps, "children" | "className" | "role" | "href" | "bsPrefix" | "as" | "disabled" | "active" | "eventKey"> & {
    icon?: import("@fortawesome/react-fontawesome").FontAwesomeIconProps | undefined;
}>, SidebarContextConsumer: React.Consumer<INavItemsContext<Pick<React.AnchorHTMLAttributes<HTMLAnchorElement>, "title" | "href" | "onClick"> & Pick<import("react-bootstrap/esm/NavLink").NavLinkProps, "children" | "className" | "role" | "href" | "bsPrefix" | "as" | "disabled" | "active" | "eventKey"> & {
    icon?: import("@fortawesome/react-fontawesome").FontAwesomeIconProps | undefined;
}>>;
export declare function Sidebar({ children }: PropsWithChildren<ISidebarProps>): JSX.Element;
export declare function setSidebarNavItems(navItems: Array<INavItemProps>): void;
