import { IModalProps as ICoreModalProps, IUseModalProps as ICoreUseModalProps } from '@reactionable/core/lib/ui/modal/Modal';
import { ComponentType, ReactNode } from 'react';
import { ModalProps } from 'react-bootstrap/Modal';
export declare type IModalProps = ICoreModalProps & ModalProps & {
    body?: ReactNode;
    footer?: ReactNode;
};
export declare type ModalComponent = ComponentType<IModalProps>;
export declare const Modal: ModalComponent;
export declare type IUseModalProps = ICoreUseModalProps<IModalProps>;
export declare function useModal(props: IUseModalProps): import("@reactionable/core/lib/ui/modal/Modal").IUseModalResult;
