/// <reference types="react" />
import { IModalFormComponentProps as ICoreModalFormComponentProps, IModalFormProps as ICoreModalFormProps } from '@reactionable/core/lib/ui/modal/ModalForm';
import { IFormProps } from '../form/Form';
import { IModalProps } from './Modal';
export interface IModalFormProps<Values = any, Data = any> extends ICoreModalFormProps<IFormProps<Values, Data>, IModalProps> {
}
export declare type IModalFormComponentProps<Values, Data> = ICoreModalFormComponentProps<IFormProps<Values, Data>> & {
    submitButton?: string;
    cancelButton?: string;
};
export declare function ModalForm<Values, Data>({ submitButton, cancelButton, closeModal, children, ...formProps }: IModalFormComponentProps<Values, Data>): JSX.Element;
