import { ErrorAlertComponent as CoreErrorAlertComponent, IErrorAlertProps as ICoreErrorAlertProps, IUseErrorAlertProps as ICoreUseErrorAlertProps } from '@reactionable/core/lib/ui/alert/ErrorAlert';
import { IAlertProps } from './Alert';
export declare type IErrorAlertProps = ICoreErrorAlertProps<IAlertProps>;
export declare type ErrorAlertComponent = CoreErrorAlertComponent<IErrorAlertProps>;
export declare const ErrorAlert: ErrorAlertComponent;
export declare type IUseErrorAlertProps = ICoreUseErrorAlertProps & IAlertProps;
export declare const useErrorAlert: (props?: IUseErrorAlertProps | undefined) => import("@reactionable/core/lib/ui/alert/ErrorAlert").IUseErrorAlertResult;
