"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Header = void 0;
var tslib_1 = require("tslib");
var Link_1 = require("@reactionable/core/lib/router/Link");
var react_1 = tslib_1.__importDefault(require("react"));
var Nav_1 = tslib_1.__importDefault(require("react-bootstrap/Nav"));
var Navbar_1 = tslib_1.__importDefault(require("react-bootstrap/Navbar"));
var NavItem_1 = require("../../nav/NavItem");
var UserHeaderNav_1 = require("./UserHeaderNav");
exports.Header = function (_a) {
    var brand = _a.brand, _b = _a.navItems, navItems = _b === void 0 ? [] : _b, navbarProps = tslib_1.__rest(_a, ["brand", "navItems"]);
    var brandContent = react_1.default.createElement(react_1.default.Fragment, null);
    if (brand) {
        brandContent = Link_1.isLinkProps(brand) ? (react_1.default.createElement(Navbar_1.default.Brand, tslib_1.__assign({ as: Link_1.Link }, brand))) : (react_1.default.createElement(Navbar_1.default.Brand, { as: Link_1.Link, href: "/" }, brand));
    }
    return (react_1.default.createElement(Navbar_1.default, tslib_1.__assign({ expand: "lg" }, navbarProps),
        brandContent,
        react_1.default.createElement(Navbar_1.default.Toggle, { "aria-controls": "main-navbar-nav" }),
        react_1.default.createElement(Navbar_1.default.Collapse, { id: "main-navbar-nav" },
            react_1.default.createElement(Nav_1.default, { className: "mr-auto" }, navItems === null || navItems === void 0 ? void 0 : navItems.map(NavItem_1.navItemToComponent)),
            react_1.default.createElement(UserHeaderNav_1.UserHeaderNav, null))));
};
//# sourceMappingURL=Header.js.map