import { IErrorNotificationProps as ICoreErrorNotificationProps, IUseErrorNotificationProps as ICoreUseErrorNotificationProps } from '@reactionable/core/lib/ui/notification/ErrorNotification';
import { PropsWithChildren } from 'react';
export declare type IErrorNotificationProps = ICoreErrorNotificationProps;
export declare const ErrorNotification: ({ title, children, ...props }: PropsWithChildren<IErrorNotificationProps>) => JSX.Element;
export declare type IUseErrorNotificationProps = ICoreUseErrorNotificationProps & IErrorNotificationProps;
export declare const useErrorNotification: (props: IErrorNotificationProps) => import("@reactionable/core/lib/ui/notification/ErrorNotification").IUseErrorNotificationResult;
